CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

            calibre-debug [opções]

Várias interfaces de linhas de comando úteis para depurar o Calibre. Executado sem opções, este comando inicia um interpretador de Python. Pode também executar a interface de utilizador principal, o visualizador de livros digitais e o editor Calibre em modo depuração.

Contém também as interfaces para várias partes do Calibre que não têm ferramentas de linha de comando dedicadas, tais como subconjuntos de fontes, ferramenta de diferenças entre livros digitais e outras.

Pode ainda utilizar calibre-debug para executar scripts em modo independente. Para tal, corra o seguinte:

calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Tudo após -- será passado ao script como parâmetro. Também pode usar calibre-debug como uma linha Shebang em scripts, tal como:
        #!/usr/bin/env -S calibre-debug -e -- --

Sempre que passar argumentos para o calibre-debug que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

[OPÇÕES]

    --add-simple-plugin
        Adiciona um plugin simples (isto é, um plugin composto apenas de um ficheiro .py) especificando o caminho para o ficheiro py que contém o código do plugin.

    --command, -c
        Executar código Python.

    --debug-device-driver, -d
        Depurar deteção de dispositivos

    --default-programs
        Retirar o Calibre do registo de programas predefinidos do Windows --default-programs = (register|unregister)

    --diff
        Executar a ferramenta Diff do Calibre. Por exemplo: Calibre-debug --diff -- file1 file2

    --edit-book
        Launch the calibre "Edit book" tool in debug mode. As with -g use -- to pass command line arguments.

    --exec-file, -e
        Executar o código Python no ficheiro.

    --explode-book, -x
        Desconstruir o livro para a pasta especificada. Uso: -x file.epub output_dir Exporta o livro sob a forma de uma coleção de ficheiros HTML e metadados, que poderá editar utilizando ferramentas adequadas à edição de HTML. Aplicável a ficheiros no formato EPUB, AZW3, HTMLZ e DOCX.

    --export-all-calibre-data
        Exporta todos os dados do Calibre (livros/definições/plugins). Normalmente, você será questionado sobre a pasta de exportação e as bibliotecas a serem exportadas. Também pode especificá-los como argumentos da linha de comando para saltar as perguntas. Use caminhos absolutos para a pasta de exportação e bibliotecas. O termo chave especial "all" pode ser utilizado para exportar todas as bibliotecas. Exemplos: calibre-debug --export-all-calibre-data # para uso interativo calibre-debug --export-all-calibre-data /caminhopara/pastaexportacaovazia /caminhoparapasta/biblioteca1 /caminhoparapasta/biblioteca2 calibre-debug --export-all-calibre-data /pastaexportacao all # exporta todas a bibliotecas conhecidas

    --gui, -g
        Run the GUI with debugging enabled. Debug output is printed to stdout and stderr. To pass command line arguments use -- followed by the arguments, for example: calibre-debug -g -- /path/to/ebook

    --gui-debug
        Executar a interface de utilizador com uma consola de depuração, gravando historiais na localização especificada. Apenas para uso interno: use a opção -g para executar a interface de utilizador em modo de depuração

    --help, -h
        mostrar esta mensagem de ajuda e sair

    --implode-book, -i
        Implodir um livro previamente desconstruído. Uso: -i output_dir file.epub Importa o livro a partir dos ficheiros que se encontram na output_dir que foram criados por uma invocação prévia de --explode-book. Assegure-se de que especifica o mesmo tipo de ficheiro que usou aquando da desconstrução (explosão).

    --import-calibre-data
        Importar dados previamente exportados do Calibre

    --inspect-mobi, -m
        Inspecionar ficheiro(s) MOBI nas localizações especificadas

    --kepubify
        Converter o ficheiro EPUB especificado para KEPUB sem fazer uma conversão completa. É isto que o driver Kobo faz ao enviar ficheiros para o dispositivo.

    --paths
        Mostra as localizações de sistema necessárias para configurar o ambiente do Calibre

    --run-plugin, -r
        Executa um plugin que fornece uma interface de linha de comandos. Por exemplo: calibre-debug -r "Plugin name" -- file1 --option1 Tudo o que surge após -- será passado para o plugin como argumentos.

    --run-test, -t
        Executar o(s) teste(s) nomeado(s). Use o valor especial "all" para executar todos os testes. Caso o nome do teste comece com um ponto, será considerado como um nome de um módulo. Caso o nome do teste comece com @, será considerado como um nome de uma categoria.

    --run-without-debug
        Não executar com o sinalizador DEBUG definido

    --shutdown-running-calibre, -s
        Causa a terminação de uma instância do Calibre, caso exista alguma em execução. Note que se existirem tarefas em execução estas serão silenciosamente canceladas pelo que deve usar esta funcionalidade com cuidado.

    --subset-font, -f
        Subdividir o tipo de letra especificado. Use -- depois desta opção para passar a opção pelo programa de subdivisão de tipos de letra.

    --test-build
        Testar módulos binário na produção

    --un-kepubify
        Converter o ficheiro KEPUB especificado para EPUB sem fazer uma conversão completa. É isto que o driver Kobo faz ao importar ficheiros do dispositivo.

    --version
        mostrar o número da versão do programa e sair

    --viewer, -w
        Run the E-book viewer in debug mode. As with -g use -- to pass command line arguments.

Author
Kovid Goyal

Copyright
Kovid Goyal